> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seamind.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Performance

> Get per-course performance data for scatter plot and radar chart.



## OpenAPI

````yaml /openapi.json get /api/v1/learn/analytics/me/performance
openapi: 3.1.0
info:
  title: Seamind Backend
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/learn/analytics/me/performance:
    get:
      tags:
        - learn-analytics
      summary: Get Performance
      description: Get per-course performance data for scatter plot and radar chart.
      operationId: get_performance_api_v1_learn_analytics_me_performance_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PerformanceDTO'
      security:
        - HTTPBearer: []
components:
  schemas:
    PerformanceDTO:
      properties:
        courses:
          items:
            $ref: '#/components/schemas/CoursePerformanceDTO'
          type: array
          title: Courses
      type: object
      required:
        - courses
      title: PerformanceDTO
      description: Performance response with per-course data.
    CoursePerformanceDTO:
      properties:
        courseId:
          type: string
          format: uuid
          title: Courseid
        courseTitle:
          type: string
          title: Coursetitle
        accuracyPercent:
          type: number
          title: Accuracypercent
        avgTimePerQuestion:
          type: number
          title: Avgtimeperquestion
        totalQuestionsAnswered:
          type: integer
          title: Totalquestionsanswered
        quadrant:
          type: string
          title: Quadrant
        fleetAccuracyPercent:
          type: number
          title: Fleetaccuracypercent
      type: object
      required:
        - courseId
        - courseTitle
        - accuracyPercent
        - avgTimePerQuestion
        - totalQuestionsAnswered
        - quadrant
        - fleetAccuracyPercent
      title: CoursePerformanceDTO
      description: Per-course performance data for scatter and radar charts.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````